networks:
  app-network:
    driver: bridge

services:
  phpfpm:
    build: ./symfony
    volumes:
      - ./php-fpm:/opt/bitnami/php/etc/php-fpm.d
    expose:
      - 9000
    networks:
      - app-network
    platform: ${DOCKER_DEFAULT_PLATFORM:-linux/arm64}

  nginx:
    image: 'docker.io/bitnami/nginx:1.28'
    depends_on:
      - phpfpm
    networks:
      - app-network
    platform: ${DOCKER_DEFAULT_PLATFORM:-linux/arm64}
    ports:
      - '8080:8080'
      - '443:443'
    volumes:
      - ./nginx:/opt/bitnami/nginx/conf/server_blocks
      - ./symfony:/app

  resticprofile:
    build: ./resticprofile
    depends_on:
      - phpfpm
    platform: ${DOCKER_DEFAULT_PLATFORM:-linux/arm64}
    volumes:
      - ./symfony/var:/app/var
